import numpy as np
import matplotlib.pyplot as plt

plt.rcParams['font.size'] = 14
plt.rcParams['legend.fontsize'] = 14

L1 = np.random.uniform(0,10,9500)
L2 = np.random.normal(0,3,9500)

plt.hist(L1, color='g', bins=50, density=True, alpha=0.8,
         label='uniform')
plt.hist(L2, color='b', bins=50, density=True, alpha=0.5,
         label='normal')

plt.axis([-10,10,0,0.16])
plt.xlabel('x')
plt.ylabel('y')
plt.legend(loc='upper left', frameon=False)
plt.show()


