import numpy as np
import matplotlib.pyplot as plt

plt.rcParams['font.size'] = 14

x = np.arange(0,10,0.1)

plt.subplots_adjust(hspace=0.2, wspace=0.5)

plt.subplot(2,2,1)
plt.plot(x, np.sin(x), 'g-', lw=1.8)

plt.subplot(2,2,2)
plt.semilogy(x, np.exp(x), 'r-', lw=1.8)

plt.subplot(2,2,3)
plt.loglog(x, np.exp(-x), 'k--', lw=2.5)

plt.subplot(2,2,4)
plt.hist(np.random.normal(0,2,10**5), bins=40, density=True)

plt.show()



