import numpy as np
import matplotlib.pyplot as plt

plt.rcParams['font.size']=14

x = np.linspace(0,2,50)
y = np.linspace(0,2,50)

(X,Y) = np.meshgrid(x,y)
Z = np.exp(-X**2) * np.exp(-Y**4)

levels = [0.03, 0.1, 0.3, 0.5, 0.7, 0.9, 0.99]

a = plt.contour(X,Y,Z,levels,linewidths=1.8)

plt.clabel(a)

plt.xlabel('x')
plt.ylabel('y')
plt.axis([0,2,0,2])
plt.show()


